/*
   This file is part of `The Undelete System'
   Copyright (C) 1995 Peter Vanderborght

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */

#ifndef _SETTINGS_H_
#define _SETTINGS_H_

extern char *DELDIR;               /* Main directory, for quota files, ...   */
extern char *FILEDIR;              /* Where 'deleted' files will reside      */
extern int  COMPRESS;              /* Compression level                      */
extern int  STD_BQUOTA;            /* Standard block quota for users.        */
extern int  STD_FQUOTA;            /* Standard file quota for users.         */
extern int  GLOB_BQUOTA;           /* Standard global block quota.           */
extern int  GLOB_FQUOTA;           /* Standard global file quota.            */


void ReadSettings();

#endif
